curl --request POST \
--url https://api.example.com/ontology-memory/{component_key}/datasets/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"dataset_name": "<string>",
"dataset_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"column_name": "<string>",
"mapping_type": "contains",
"usage_notes": "<string>",
"annotations": {},
"review_context": "<string>"
}
'import requests
url = "https://api.example.com/ontology-memory/{component_key}/datasets/"
payload = {
"dataset_name": "<string>",
"dataset_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"column_name": "<string>",
"mapping_type": "contains",
"usage_notes": "<string>",
"annotations": {},
"review_context": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
dataset_name: '<string>',
dataset_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
column_name: '<string>',
mapping_type: 'contains',
usage_notes: '<string>',
annotations: {},
review_context: '<string>'
})
};
fetch('https://api.example.com/ontology-memory/{component_key}/datasets/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"dataset_name": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"component_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organisation_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"dataset_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"column_name": "<string>",
"mapping_type": "contains",
"usage_notes": "<string>",
"annotations": {},
"created_by_member_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"updated_by_member_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Upsert Ontology Dataset Mapping
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Path Parameters
Body
Dataset name that represents or contains this ontology component.
1 - 255Optional column that maps to this entity, attribute, action, relationship, or hierarchy.
255source_of_truth, contains, derived_from, event_log, lookup, approximation, validation Optional note describing how this dataset/column maps to the ontology component.
4000Optional metadata such as grain, source system, quality checks, owners, or review hints.
Optional reviewer-facing ticket context from the originating agent or workflow. This is used for governance notifications and is not stored on the dataset mapping itself.
1500Response
Successful Response
Dataset name that represents or contains this ontology component.
1 - 255Optional column that maps to this entity, attribute, action, relationship, or hierarchy.
255source_of_truth, contains, derived_from, event_log, lookup, approximation, validation Optional note describing how this dataset/column maps to the ontology component.
4000Optional metadata such as grain, source system, quality checks, owners, or review hints.